apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philip M. Gollucci" <pgollu...@p6m7g8.com>
Subject Re: [MAINTAINER] devel/apr-gdbm-db42: apr-util 1.3.7 breaks dbd support
Date Tue, 09 Jun 2009 06:47:04 GMT
Philip M. Gollucci wrote:
> The question I need answered is
> 
> 1.3.3/1.3.4:
> apu-1-config --libs
> -ldb -lgdbm ...
> 
> 1.3.5/1.3.7:
> apu-1-config --libs
> ...
> 
> What is the 'new' appropriate way to determine in 'autotools' that apu
> has bdb support by a third party ?

I've duplicate the situation (though with trunk) on people in ~

~/apr/trunk
~/apr-util/trunk

$ ~/apr-util/trunk/lib/apr-util-2> ldd  ./apr_dbm_db-2.so
./apr_dbm_db-2.so:
        libdb-4.6.so.0 => /usr/local/lib/db46/libdb-4.6.so.0 (0x800b02000)
        libc.so.7 => /lib/libc.so.7 (0x800633000)
        libthr.so.3 => /lib/libthr.so.3 (0x800d3a000)


Mime
View raw message